# $Revision: 1.15 $, $Date: 2012/04/10 18:51:23 $
Summary:	The GLib ICE (Interactive Connectivity Establishment) implementation
Summary(pl.UTF-8):	Implementacja ICE (Interactive Connectivity Establishment) oparta o GLib
Name:		libnice
Version:	0.1.2
Release:	1
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries
Source0:	http://nice.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	1914dd98380dd68632d3d448cc23f1e8
URL:		http://nice.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.13
BuildRequires:	gstreamer-devel >= 0.10.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	gupnp-igd-devel >= 0.1.2
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	glib2 >= 1:2.13
Requires:	gupnp-igd >= 0.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libnice is an implementation of the IETF's draft Interactive
Connectivity Establishment standard (ICE). It provides GLib-based
library and GStreamer elements.

ICE is useful for applications that want to establish peer-to-peer UDP
data streams. It automates the process of traversing NATs and provides
security against some attacks.

Existing standards that use ICE include the Session Initiation
Protocol (SIP) and Jingle, XMPP extension for audio/video calls.

%description -l pl.UTF-8
libnice to implementacja standardu ICE (Interactive Connectivity
Establishment) wg szkicu IETF. Udostępnia bibliotekę opartą na
GLibie oraz elementy GStreamera.

ICE służy aplikacjom chcącym tworzyć strumienie danych UDP
peer-to-peer. Automatyzuje proces przechodzenia przez NAT i
zabezpiecza przed pewnymi atakami.

Istniejące standardy wykorzystujące ICE obejmują protokoły SIP
(Session Initiation Protocol) oraz Jingle (rozszerzenie XMPP dla
połączeń audio/video).

%package devel
Summary:	Header files for libnice library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnice
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.13
Requires:	gupnp-igd-devel >= 0.1.2

%description devel
Header files for libnice library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnice.

%package static
Summary:	Static libnice library
Summary(pl.UTF-8):	Statyczna biblioteka libnice
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnice library.

%description static -l pl.UTF-8
Statyczna biblioteka libnice.

%package apidocs
Summary:	libnice library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnice
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libnice library API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnice.

%prep
%setup -q

%build
mkdir m4
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gstreamer-0.10/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/stunbdc
%attr(755,root,root) %{_bindir}/stund
%attr(755,root,root) %{_libdir}/libnice.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnice.so.10
%attr(755,root,root) %{_libdir}/gstreamer-0.10/libgstnice.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnice.so
%{_includedir}/nice
%{_includedir}/stun
%{_pkgconfigdir}/nice.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libnice.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libnice

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libnice.spec,v $
Revision 1.15  2012/04/10 18:51:23  qboosh
- updated to 0.1.2

Revision 1.14  2011/12/27 15:50:47  lisu
- drop libtool files

Revision 1.13  2011/11/18 21:05:44  megabajt
- release 2

Revision 1.12  2011/09/11 14:44:11  qboosh
- updated to 0.1.1

Revision 1.11  2011/02/05 15:20:14  qboosh
- pl
- adjusted BRs and devel deps
- disable silent-rules
- package COPYING (just license notes)

Revision 1.10  2011/01/24 14:52:11  caleb
- Up to 0.1.0
- Bump so version

Revision 1.9  2010/09/10 17:38:39  megabajt
- updated to 0.0.13

Revision 1.8  2010/05/13 17:40:30  sparky
- BR: docbook-dtd412-xml

Revision 1.7  2010/03/24 08:43:54  megabajt
- updated to 0.0.11

Revision 1.6  2010/03/04 18:58:06  hawk
- release 2

Revision 1.5  2009/12/30 00:11:05  megabajt
- updated to 0.0.10

Revision 1.4  2009/08/02 10:46:37  megabajt
- updated to 0.0.9

Revision 1.3  2009/06/29 18:39:23  megabajt
- updated to 0.0.8

Revision 1.2  2009/05/16 14:07:23  megabajt
- updated to 0.0.6

Revision 1.1  2009/03/18 23:22:36  megabajt
- new
